:root {
	--primario: #69475a;
	--secundario: #e8c8c5;
	--negro: #150d0b;
	--blanco: #ffffff;
	--transparente: #00000081;
	--texto: #3d2934;
	/* Tipografía */
	--fuente: "Rubik", sans-serif;
	--tipo-secundaria: Verdana;
	--border-radius: 15px;
	--transition: all 0.3s ease-in-out;
}
html {
	background-color: var(--blanco);
	color: var(--blanco);
	font-family: var(--fuente);
}
h1 {
	font-size: 3rem;
	font-family: serif;
	color: var(--blanco);
	text-align: center;
	text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
		#ffffff 0px 0px 5px;
	& span {
		color: var(--secundario);
		font-size: inherit;
	}
}
h2,
h3 {
	font-weight: 200;
}
p {
	color: var(--texto);
	font-size: 1.1rem;
	font-weight: 200;
}
i {
	font-size: 1.8rem;
}
/* ******************************************* */
/* Animación fadeIn para el body de cada página y lightbox políticas y formulario de contacto */
.fade-in {
	animation: fadeIn ease 2s;
}
@keyframes fadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

.fondo-web {
	width: 100%;
	height: 100vh;
	position: fixed;
	z-index: -1;
}

/* ********************************** */
/* **************************************   NAV + HERO   */
/* ********************************* */
header {
	width: 100%;
	height: 90dvh;
	.barra-nav {
		width: 100%;
		height: auto;
		padding: 0.5rem 2rem;
		background: rgba(218, 218, 218, 0.192);
		box-shadow: 0 4px 30px rgba(0, 0, 0, 0.6);
		backdrop-filter: blur(7.2px);
		position: sticky;
		top: 0;
		left: 0;
		z-index: 1;
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		justify-content: center;
		align-items: center;
		text-align: center;
		font-weight: 200;
		@media (width < 960px) {
			display: flex;
			justify-content: space-between;
			align-items: center;
		}
		.logo {
			height: 3rem;
			width: auto;
			@media (width < 760px) {
				height: 1.5rem;
			}
		}
		& p {
			font-size: 1.2rem;
			font-weight: 500;
			color: var(--blanco);
			text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
				#ffffff 0px 0px 5px;
			@media (width < 960px) {
				display: none;
			}
		}
		.banderas {
			display: flex;
			justify-content: end;
			align-items: center;
			gap: 0.7rem;
		}
		& img {
			width: 2rem;
			height: 2rem;
			cursor: pointer;
		}
	}
}
.hero {
	display: grid;
	grid-template-columns: 1fr 1fr;
	justify-content: center;
	align-items: center;
	@media (width < 960px) {
		grid-template-columns: 1fr;
	}
	& img {
		margin: auto;
		width: 30dvw;
		height: auto;
		transform: translateY(-100%);
		/* imagen que aparece despues de 1s de arriba a abajo */
		animation: mover 2s ease forwards;
		@media (width < 960px) {
			display: none;
		}
	}
	/* animacion mover */
	@keyframes mover {
		100% {
			transform: translateY(0);
		}
	}
}

/************************ Texto Hero */
.texto-hero {
	width: 100%;
	height: 80vh;
	margin: 0 auto;
	overflow-x: hidden;
	padding-left: 10%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
	animation: mostrar 4s 1.7s ease forwards;
	white-space: pre-line;
	@media (width < 1260px) {
		animation: mostrar 2s 0.5s ease forwards;
	}
	& h2 {
		transform: translateX(95%);
		font-size: 6.5rem;
		font-family: serif;
		line-height: 1.1;
		color: var(--blanco);
		text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
			#ffffff 0px 0px 5px;
		animation: mover 2s 2s forwards;
		@media (width < 1260px) {
			font-size: 3.5rem;
		}
		@media (width < 760px) {
			transform: translateX(20%);
			font-size: 3rem;
		}
		& span {
			color: var(--secundario);
			font-size: inherit;
		}
	}
}
.logo-hero {
	width: 10rem;
	height: auto;
	margin: 2rem 1rem 0 0;
	animation: mover2 1s 2s forwards;
	transform: translateX(85%);
	@media (width < 960px) {
		transform: translateX(67%);
	}
	@media (width < 760px) {
		transform: translateX(60%);
	}
}

@keyframes mostrar {
	100% {
		clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
	}
}
@keyframes mover {
	100% {
		transform: translateX(0);
	}
}
@keyframes mover2 {
	100% {
		transform: translateX(20vw);
	}
}

/* ************************ Mapa */
.llegar {
	text-decoration: underline;
	color: blue;
}

/* ************************ Presentación */
.presentacion {
	color: #111111;
	width: 100%;
	height: auto;
	padding: 0.5rem;
	border: 0;
	outline: 1px solid var(--primario);
	outline-offset: -1rem;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 3rem;
	background-color: #ffecf767;
	backdrop-filter: blur(7.2px);
	@media (width < 960px) {
		flex-direction: column;
	}
	.presentacion-texto {
		background-image: url(/images/fondo.webp);
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
		padding: 1.5rem;
		white-space: pre-line;
		border: 0;
		outline: 1px solid var(--primario);
		outline-offset: -1rem;
		@media (width > 960px) {
			padding: 1rem 5rem;
		}
	}
	& img {
		width: 100%;
		max-width: 50dvw;
		height: auto;
		border: 0;
		outline: 1px solid var(--primario);
		outline-offset: -1rem;
		@media (width < 960px) {
			outline: none;
			padding-top: 1rem;
		}
	}
}

/* ************************ Servicios */
.servicios {
	width: 100%;
	height: auto;
	margin: 2rem auto;
	padding: 3rem;
	background-image: url(/images/fondo.webp);
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	color: var(--negro);
	border: 0;
	outline: 1px solid var(--primario);
	outline-offset: -1rem;
	white-space: pre-line;
	@media (width < 960px) {
		padding: 1.5rem;
	}
	& h2 {
		color: var(--texto);
		font-weight: 200;
		font-size: 1.6rem;
	}
}
.servicio {
	display: grid;
	grid-template-columns: 1fr 6fr;
	justify-content: center;
	align-items: center;
	gap: 5rem;
	& img {
		width: 100%;
		max-width: 12rem;
		height: auto;
	}
	@media (width < 960px) {
		display: flex;
		flex-direction: column;
		gap: 0;
	}
}

.ser2 {
	grid-template-columns: 6fr 1fr;
}
.combinado {
	background-image: url(/images/fondo.webp);
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	padding: 3rem;
	/* white-space: pre-line; */
	border: 0;
	outline: 1px solid var(--primario);
	outline-offset: -1rem;
	margin-bottom: 2rem;
	@media (width < 960px) {
		padding: 1.5rem;
	}
	& h2 {
		font-family: serif;
		text-align: center;
		font-size: 3.5rem;
		font-weight: 500;
		padding-bottom: 1rem;
		text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
			#ffffff 0px 0px 5px;
		@media screen and (max-width: 760px) {
			font-size: 2rem;
		}
	}
	& p {
		margin-bottom: 2rem;
	}
}

/************************** Botón flotante de llamada */
.llamar {
	position: fixed;
	bottom: 5vh;
	left: 50%;
	transform: translateX(-50%);
	z-index: 2;
	@media (width > 960px) {
		display: none;
	}
	.phone {
		width: 3.5rem;
		height: 3.5rem;
		border-radius: 50%;
	}
}
/* ******************************** */
/** SECCIÓN VIDEO */
/* ******************************** */
.galeria {
	width: calc(100% - 2rem);
	height: 15rem;
	margin: 1rem auto;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap: 0.5rem;
	@media (width < 960px) {
		width: calc(100% - 7%);
	}
	.lateral1 {
		background-image: url(/images/hero7.webp);
	}
	.lateral2 {
		background-image: url(/images/hero10.webp);
	}
	.lateral3 {
		background-image: url(/images/hero11.webp);
	}
	.lateral4 {
		background-image: url(/images/hero12.webp);
	}
	.lateral1,
	.lateral2,
	.lateral3,
	.lateral4 {
		width: 100%;
		height: 100%;
		background-position: bottom;
		background-repeat: no-repeat;
		background-size: cover;
		border: 0;
		outline: 1px solid var(--blanco);
		outline-offset: -0.5rem;
	}
}
.cont-video {
	width: 100%;
	height: 100%;
	background-image: url(/images/hero8.webp);
	background-position: bottom;
	background-repeat: no-repeat;
	background-size: cover;
	padding: 2rem;
	border: 0;
	outline: 1px solid var(--blanco);
	outline-offset: -0.5rem;
	width: 90%;
	max-width: 50rem;
	margin: 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	box-shadow: var(--sombra);
	@media screen and (max-width: 875px) {
		width: 98%;
		padding: 0.2rem;
	}
}
.cont-video2 {
	background-image: url(/images/hero13.webp);
}

/* ************************ BANER PROVEEMOS */
.banner {
	font-family: serif;
	width: 100%;
	height: auto;
	margin: 2rem auto;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	flex-direction: column;
	padding: 6rem 2rem;
	background-color: #ffecf767;
	backdrop-filter: blur(7.2px);
	border: 0;
	outline: 1px solid var(--primario);
	outline-offset: -1rem;
	white-space: pre-line;
	@media screen and (max-width: 760px) {
		padding: 3rem 2rem;
	}
	& h2,
	span {
		font-size: 3.8rem;
		font-weight: 500;
		text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
			#ffffff 0px 0px 5px;
		@media screen and (max-width: 760px) {
			font-size: 2rem;
		}
	}
	& h3 {
		font-size: 2.2rem;
		font-weight: 500;
		text-shadow: #69475a 0px 0px 5px, #69475a 0px 0px 5px, #ffffff 0px 0px 5px,
			#ffffff 0px 0px 5px;
		@media screen and (max-width: 760px) {
			font-size: 1.8rem;
		}
		& span {
			color: var(--secundario);
			font-size: inherit;
		}
	}

	.verde {
		color: var(--secundario);
	}
	& img {
		width: 25rem;
		height: auto;
		@media screen and (max-width: 760px) {
			width: 15rem;
		}
	}
}

/* ********************************** */
/* **************************************   FOOTER   */
/* ********************************* */
.footer {
	display: grid;
	grid-template-columns: 1fr 2fr 1fr;
	justify-content: center;
	align-items: center;
	text-align: center;
	padding: 3rem 1.5rem;
	background-color: var(--primario);
	color: var(--blanco);
	border: 0;
	outline: 1px solid var(--blanco);
	outline-offset: -1rem;
	@media (width < 960px) {
		grid-template-columns: 1fr;
	}
	.servicios-footer {
		padding: 0 1rem;
		& img {
			@media (width < 960px) {
				display: none;
			}
		}
	}
	.main-footer {
		border-right: 1px solid var(--blanco);
		border-left: 1px solid var(--blanco);
		padding: 0 1rem;
	}
	& img {
		width: 15rem;
		margin: 0 auto 1rem;
	}
	& h2 {
		font-size: 1.3rem;
		font-weight: 200;
	}
	& ul {
		padding-bottom: 1.5rem;
	}
	.redes {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		margin: 1rem 0;
		gap: 1rem;
		& i {
			font-size: 1.5rem;
			&:hover {
				color: var(--negro);
				transition: var(--transition);
			}
		}
		.trip {
			width: 2.5rem;
			display: inline;
		}
	}
	& p {
		font-size: 0.8rem;
		padding: 0.2rem;
		color: var(--blanco);
	}
	.proweb {
		&:hover {
			text-decoration: underline;
			color: var(--negro);
			transition: var(--transition);
		}
	}
}
.footer-legal {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	justify-content: center;
	align-items: center;
	padding: 2rem 7vw;
	text-align: center;
	background-color: var(--secundario);
	color: var(--primario);
	border: 0;
	outline: 1rem solid var(--primario);
	outline-offset: -1rem;
	@media (width < 768px) {
		grid-template-columns: 1fr;
	}
	& img {
		width: 3rem;
		@media (width < 768px) {
			display: none;
		}
	}
	& div {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 1rem;
		padding: 0.2rem;
	}

	& p {
		font-size: 0.8rem;
	}
	& a {
		font-size: 0.8rem;
		text-align: center;
		&:hover {
			color: var(--primario);
			text-decoration: underline;
			transition: var(--transition);
		}
	}
}

/* **************************************** */
/** LIGHTBOX POLITICAS */
/* **************************************** */
.light-politicas {
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, 0.6);
	backdrop-filter: blur(10px);
	z-index: 5;
	display: none;
	white-space: pre-line;
	animation: fadeIn 1s;
	.cerrar {
		font-size: 2rem;
		position: absolute;
		top: 1rem;
		right: 1rem;
		background-color: transparent;
		&:hover {
			transform: scale(1.1);
		}
	}
	.textos-politicas {
		color: var(--negro);
		background-color: #e9e9e9;
		width: 90%;
		height: 80vh;
		margin: 3rem auto;
		overflow-y: scroll;
		padding: 1rem;
		/* Evitar desbordamiento */
		overflow-wrap: break-word; /* Rompe palabras largas */
		word-break: break-word; /* Rompe palabras si es necesario */
		white-space: pre-line; /* Mantiene saltos de línea, pero permite el ajuste */
		border-radius: var(--border-radius);
		box-shadow: 0 0 4rem rgba(0, 0, 0, 1);
		box-shadow: 1rem 1rem 3rem #111111, -1rem -1rem 3rem #e9e9e9;
	}
}
.lightbox-activo {
	display: block;
	transition: var(--transition);
}

/* ******************************** */
/** TOOLTIPS */
/* ******************************** */
.tooltip1,
.tooltip2,
.tooltip3,
.tooltip4,
.tooltip5,
.tooltip6,
.tooltip7 {
	position: relative;
}
.tooltip1::after,
.tooltip2::after,
.tooltip3::after,
.tooltip4::after,
.tooltip5::after,
.tooltip6::after,
.tooltip7::after {
	position: absolute;
	right: 0.1rem;
	top: 3rem;
	background-color: var(--negro);
	color: var(--blanco);
	font-size: 0.8rem;
	padding: 0.2rem 0.5rem;
	border: 1px solid var(--blanco);
	border-radius: var(--border-radius);
	opacity: 0;
	transition: opacity 0.3s linear;
	white-space: nowrap;
}
.tooltip1::after {
	content: "Llámenos";
}
.tooltip2::after {
	content: "Contacto";
}
.tooltip3::after {
	content: "English";
}
.tooltip4::after {
	content: "Español";
}
.tooltip5::after {
	content: "French";
}
.tooltip6::after {
	content: "German";
}
.tooltip7::after {
	content: "Google Maps";
}
.tooltip1:hover::after,
.tooltip2:hover::after,
.tooltip3:hover::after,
.tooltip4:hover::after,
.tooltip5:hover::after,
.tooltip6:hover::after,
.tooltip7:hover::after {
	opacity: 1;
}

/* ******************************** */
/** BANER DE POLÍTICA DE COOKIES */
/* ******************************** */
#cookieNotice {
	background-color: #eeeaea;
	color: gray;
	display: block;
	box-sizing: border-box;
	position: fixed;
	padding: 30px;
	border-radius: 10px;
	box-shadow: 0 6px 6px rgb(0 0 0 / 25%);
	font-family: inherit;
	z-index: 2;
}
#cookieNotice.display-left {
	left: 20px;
	bottom: 90px;
	width: 370px;
	max-width: 80vw;
}
#saber {
	color: gray;
	font-size: 15px;
	font-weight: 200;
	text-decoration: underline;
	padding-top: 20px;
}
.btn-primary {
	background-color: #5880e1;
	color: white;
	border: none;
	width: 100%;
	padding: 8px;
	font-size: 16px;
	margin: 20px 0 0;
	cursor: pointer;
}

/********************* Efecto rotar */
.contenedor {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	/* Scroll horizontal */
	overflow-x: auto;
	/* Ocultar barra scroll horizontal */
	scrollbar-width: none;
}

article {
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-direction: column;
	& p {
		font-size: 1rem;
		text-align: center;
	}
}

.tarjeta {
	height: 5rem;
	width: 5rem;
	background-color: #333333;
	border-radius: 50%;
	margin: 1rem;
	box-shadow: 0 0 10px rgba(172, 172, 172, 0.5);
	position: relative;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
	border: 2px solid var(--blanco);
}

.tarjeta::before {
	content: "";
	position: absolute;
	height: 6rem;
	width: 6rem;
	background-image: conic-gradient(
		var(--primario) 0deg,
		var(--blanco) 10deg,
		var(--primario) 100deg,
		var(--blanco) 110deg,
		var(--primario) 220deg,
		var(--blanco) 230deg,
		var(--primario) 340deg
	);
	animation: rotar 8s linear infinite;
}

@keyframes rotar {
	100% {
		transform: rotate(360deg);
	}
}

.tarjeta::after {
	content: "";
	position: absolute;
	height: 4.5rem;
	width: 4.5rem;
	background-image: url(/images/icon2.webp);
	background-size: cover;
	box-shadow: inset 0 0 10px rgba(172, 172, 172, 0.5);
	border-radius: 50%;
	cursor: pointer;
}

/************************** Slider de Logos */
.slider {
	width: 100%;
	grid-area: logos;
	background-color: transparent;
	height: 7rem;
	margin: auto;
	padding: 1rem;
	overflow: hidden;
	position: relative;
	border: 1px solid var(--primario);
}
.slider::before,
.slider::after {
	background: linear-gradient(
		to right,
		#ffffff 0%,
		#ffffffbf 3%,
		transparent 100%
	);
	content: "";
	height: 7rem;
	position: absolute;
	width: 200px;
	z-index: 1;
	@media (width < 768px) {
		background: transparent;
	}
}
.slider::after {
	right: 0;
	top: 0;
	transform: rotateZ(180deg);
}
.slider::before {
	left: 0;
	top: 0;
}
.slider .slide-track {
	animation: scroll 60s linear infinite;
	display: flex;
	width: calc(720px * 16);
}
@keyframes scroll {
	0% {
		transform: translateX(0);
	}
	100% {
		transform: translateX(calc(-550px * 8));
	}
}
.slide-track {
	width: 100%;
}
.slider .slide {
	height: 100px;
	width: auto;
}
.slide-image {
	width: auto;
	height: 5.5rem;
	padding: 0 2rem;
}
